
---------------------------------------------------------------------------------
--
-- Add new FRH_PROPERTY entries
--
---------------------------------------------------------------------------------
merge into FRH_PROPERTY
USING TABLE(values('ETL_UPDT_NEW_DEMOG'))
                     ac(PROPERTY_NAME) 
                  ON (upper(FRH_PROPERTY.PROPERTY_NAME) = ac.PROPERTY_NAME)
when not matched then
insert (
	PROPERTY_NAME, PROPERTY_VALUE, PROPERTY_DESC, PROPERTY_LABEL, PROPERTY_TYPE, 
	CREATE_TIMESTAMP, CREATE_USER, LSTUPDT_USER, LSTUPDT_TIMESTAMP, LSTUPDT_NBR, LOGICAL_DEL_IND) 
VALUES (
 'ETL_UPDT_NEW_DEMOG' 
 , 'Y'
 , 'Y|N to have new demographic stub inserts also output to FRH_NEW_<demograhic> tables.'
 , 'Insert to new demogtables'        
 , 'etlserver'
 ,  current timestamp - current timezone
 ,  CURRENT USER  
 ,  CURRENT USER  
 ,  current timestamp - current timezone
 , 0
 , '0'
 )
ELSE IGNORE;

---------------------------------------------------------------------------------
-- Insert into FRH_VERSION
-----------------------------------------------------------------------

INSERT INTO FRH_VERSION (VERSION_NAME , VERSION_NUM , VERSION_DATE , VERSION_DESC, VERSION_COMPONENT) VALUES
('Base DDL', '3.1.0.19', CURRENT DATE, '3.1.0.19 Hotfix DDL', 'DDL')
;