DROP SPECIFIC PROCEDURE audit_partition_action@
DROP SPECIFIC PROCEDURE audit_partition_action2@

call sysproc.set_routine_opts('ISOLATION UR') @
CREATE PROCEDURE AUDIT_PARTITION_ACTION ( IN i_tabname         VARCHAR(50),
                                         IN i_schema           VARCHAR(30),
                                         IN i_partition        VARCHAR(50),
                                         IN i_dynstmt          VARCHAR(7000),
                                         IN i_preview_only_ind CHAR(1),
                                         IN i_row_count        INTEGER,
                                         IN i_sqlcode          INTEGER,
                                         IN i_sqlstate         CHAR(5) )

SPECIFIC audit_partition_action
DYNAMIC RESULT SETS 0
LANGUAGE SQL
-----------------------------------------------------------------------------
-- File:  
--
--
-- Description:
--
--
-- Called By:
--
--
-- Calls:
--
--
-- Notes:     
-- 
--
-- Usage:
--
--
-- History:    
--      2007/09/18   jicimi   created
--      2007/10/23   jicimi   added column list to the first insert statement
--      2015/10/15   leushe   change command to varchar 7000 and sqlmsg to varchar 23000      
--            
--           
--          
--         
--        
--	 
--
------------------------------------------------------------------------

P1: BEGIN

  INSERT INTO FMX_PARTITION_AUDIT
        ( table_name, audit_timestamp, partition_name, command, preview_only_ind, row_count, sqlstate, sqlcode )
       values (i_tabname, current timestamp, i_partition, i_dynStmt, i_preview_only_ind, i_row_count, i_sqlstate, i_sqlcode );
  COMMIT;

END P1
@



CREATE PROCEDURE AUDIT_PARTITION_ACTION ( IN i_tabname         VARCHAR(50),
                                         IN i_schema           VARCHAR(30),
                                         IN i_partition        VARCHAR(50),
                                         IN i_dynstmt          VARCHAR(7000),
                                         IN i_preview_only_ind CHAR(1),
                                         IN i_sqlcode          INTEGER,
                                         IN i_sqlstate         CHAR(5) )

SPECIFIC audit_partition_action2
DYNAMIC RESULT SETS 0
LANGUAGE SQL
-----------------------------------------------------------------------------
-- File:  
--
--
-- Description:
--
--
-- Called By:
--
--
-- Calls:
--
--
-- Notes:     
-- 
--
-- Usage:
--
--
-- History:    
--      2007/09/18   jicimi   created       
--      2015/10/15   leushe   change command to varchar 7000 
--            
--           
--          
--         
--        
--	 
--
------------------------------------------------------------------------

P1: BEGIN

  INSERT INTO FMX_PARTITION_AUDIT
        ( table_name, audit_timestamp, partition_name, command, preview_only_ind, sqlstate, sqlcode )
       values (i_tabname, current timestamp, i_partition, i_dynStmt, i_preview_only_ind, i_sqlstate, i_sqlcode );
  COMMIT;

END P1
@
