---------------------------------------------------------------------------------
--
-- Insert new Property
--
---------------------------------------------------------------------------------
merge into FCM_PROPERTY p
USING TABLE(values('DBMAINT_PHONEDEMO_FILE'))
                     ac(PROPERTY_NAME)
                  ON (p.PROPERTY_NAME = ac.PROPERTY_NAME)
when not matched then
insert (
    PROPERTY_NAME, PROPERTY_VALUE, PROPERTY_DESC, PROPERTY_LABEL, PROPERTY_TYPE, CREATE_TIMESTAMP, CREATE_USER, LSTUPDT_USER, LSTUPDT_TIMESTAMP, LSTUPDT_NBR, LOGICAL_DEL_IND)
VALUES (
        'DBMAINT_PHONEDEMO_FILE','', 'Full path to the phone demographic input file.','Phone demographic file location', 'sordbmaint', current_timestamp, 'sas', null, null, 0, '0')
;

commit;


---------------------------------------------------------------------------------
--
-- Populate new table
--
---------------------------------------------------------------------------------


INSERT INTO FCM_ALERT_TYPE_CALL_RESULT (ALERT_TYPE,RESULT_ID,CREATE_USER) 
SELECT ALERT_TYPE,7,CURRENT USER from FCM_ALERT_TYPE;


 
---------------------------------------------------------------------------------
--
-- Insert version release 3.1.0.21
--
---------------------------------------------------------------------------------

merge into FCM_VERSION p
USING TABLE(values('Base DDL', '3.1.0.21'))
                     ac(VERSION_NAME , VERSION_NUM)
                  ON (p.VERSION_NAME = ac.VERSION_NAME
                      AND p.VERSION_NUM=ac.VERSION_NUM)
when not matched then
insert (
    VERSION_NAME , VERSION_NUM , VERSION_DATE , VERSION_DESC, VERSION_COMPONENT)
VALUES (
        'Base DDL', '3.1.0.21', current_date, '3.1 M0 HF21 DDL', 'DDL')
;

commit;
